﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{3C59D793-F950-49D4-9F92-8FDD0C872204}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EpamMVC.BLL</RootNamespace>
    <AssemblyName>EpamMVC.BLL</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <LangVersion>default</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\EpamMVC.WEB\bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <HintPath>..\packages\EntityFramework.6.3.0\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Interfaces\IClientAccountService.cs" />
    <Compile Include="Interfaces\ICallbackService.cs" />
    <Compile Include="Interfaces\IClientPaymentService.cs" />
    <Compile Include="Interfaces\IExceptionLogService.cs" />
    <Compile Include="Interfaces\IProductCategoryService.cs" />
    <Compile Include="Interfaces\IProductService.cs" />
    <Compile Include="Interfaces\IService.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Service.cs" />
    <Compile Include="Services\CallbackService.cs" />
    <Compile Include="Services\ClientAccountService.cs" />
    <Compile Include="Services\ClientPaymentService.cs" />
    <Compile Include="Services\ExceptionLogService.cs" />
    <Compile Include="Services\ProductCategoryService.cs" />
    <Compile Include="Services\ProductService.cs" />
    <Compile Include="Utils\MapperEngine.cs" />
    <Compile Include="Utils\Mapper\CallbackRequestProfile.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\EpamMVC.DLL\EpamMVC.DLL.csproj">
      <Project>{31fdee0c-552a-4994-914c-24293737d26b}</Project>
      <Name>EpamMVC.DLL</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="9.0.0" />
    <PackageReference Include="EntityFramework" Version="6.3.0" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="NLog.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
         Other similar extension points exist, see Microsoft.Common.targets.
    <Target Name="BeforeBuild">
    </Target>
    <Target Name="AfterBuild">
    </Target>
    -->
</Project>